open-vm-tools 10.1.5

Data Fields
RpcDebugPlugin Struct Reference
Debugging Tools Plugins

`#include <rpcdebug.h>`

## Data Fields
RpcDebugRecvMapping * | recvFns
RpcDebugRecvFn | dfltRecvFn
RpcDebugSendFn | sendFn
RpcDebugShutdownFn | shutdownFn
ToolsPluginData * | plugin

## Detailed Description

Registration data for debug plugins, should be returned by the plugin's entry point function.

## Field Documentation

## ◆ dfltRecvFn

RpcDebugRecvFn RpcDebugPlugin::dfltRecvFn

Default receive function for when no mapping matches the incoming command. May be NULL.

## ◆ plugin

ToolsPluginData* RpcDebugPlugin::plugin

Plugin data that debug plugins can also export.

## ◆ recvFns

RpcDebugRecvMapping* RpcDebugPlugin::recvFns

Maps "incoming" RPCs to specific receive functions. NULL-terminated.

## ◆ sendFn

RpcDebugSendFn RpcDebugPlugin::sendFn

Send function.

## ◆ shutdownFn

RpcDebugShutdownFn RpcDebugPlugin::shutdownFn

Shutdown function.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/rpcdebug.h